%bcond_with selinux

%define nmversion	%(echo %{version} | cut -d "." -f -2)
%define	rname		network-manager-applet

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		networkmanager-applet
Summary:	Network connection manager system tray applet
Version:	1.36.0
Release:	%mkrel 1
Group:		System/Libraries
License:	GPLv2+
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source0:	 https://download.gnome.org/sources/%{rname}/%{url_ver}/%{rname}-%{version}.tar.xz
Source1: nm-connection-editor.desktop
Patch1:     show-nm-applet-in-kde.patch
Patch2:     feature-app-indicator-desktop-file.patch
Patch3:     networkmanager_applet_show_about.patch
Patch4:     page-general.c.patch
Patch5:    Force-online-state-with-unmanaged-devices.patch

BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	libiw-devel
BuildRequires:	xmllint
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libnm) >= %{nmversion}
BuildRequires:	pkgconfig(libnma)
BuildRequires:	pkgconfig(mm-glib)
BuildRequires:	pkgconfig(mobile-broadband-provider-info)
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(gck-1)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	libappindicator3-devel
BuildRequires:	pkgconfig(appstream-glib)

Requires:	networkmanager
Conflicts: drakx-net-applet

%description
Network-manager-applet is a system tray applet which lets you easily
connect to different networks. It is created for any desktop environments which
provide a system tray like KDE or XFCE. It displays the available networks and
allows to easily switch between them. For encrypted networks it will prompt the
user for the key/passphrase and it can optionally store them.

%prep
%setup -q -n %{rname}-%{version}
%autopatch -p1

%build
%meson \
	-Dappindicator=ubuntu \
	-Dselinux=false 
%meson_build

%install
rm -rf %buildroot
%meson_install

install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/nm-connection-editor.desktop

%find_lang nm-applet

%files -f nm-applet.lang
%{_bindir}/nm-connection-editor
%{_bindir}/nm-applet
%{_datadir}/applications/nm-connection-editor.desktop
%{_datadir}/applications/nm-applet.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_mandir}/man1/nm-applet.1*
%{_mandir}/man1/nm-connection-editor.1*
%{_datadir}/metainfo/nm-connection-editor.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml

%post
%update_menus
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%clean_menus
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%clean
rm -rf %{buildroot}

%changelog
* Tue Feb 27 2024 tex - 1.36.0-1pclos2024
- new version

* Sun Sep 17 2023 tex - 1.32.0-2pclos2023
- add patch 5 and 6 from debian

* Tue Aug 29 2023 tex - 1.32.0-1pclos2023
- new version

* Sat Nov 26 2022 tex - 1.30.0-2pclos2022
- rebuild against updates

* Mon Nov 07 2022 tex - 1.30.0-1pclos2022
- new version

* Thu Sep 08 2022 tex - 1.28.0-2pclos2022
- rebuild against updates

* Sat Jan 22 2022 tex - 1.24.0-4pclos2022
- set all users connect to true

* Fri Sep 17 2021 tex - 1.24.0-3pclos2021
- rebuild against updates

* Thu Sep 16 2021 tex - 1.24.0-2pclos2021
- rebuild against updates

* Tue Aug 17 2021 tex - 1.24.0-1pclos2021
- new version

* Wed Jul 07 2021 tex - 1.22.0-4pclos2021
- rebuild against updates glibc

* Tue Jun 8 2021 yodelu - 1.22.0-2pclos2021
- drop gtk and use appindicator 

* Thu May 20 2021 tex - 1.22.0-1pclos2021
- update
